package com.adealink.weparty.room.micseat.dispatcenter

import android.content.Context
import android.util.AttributeSet
import com.adealink.weparty.room.micseat.decor.AvatarDecorView
import com.adealink.weparty.room.micseat.decor.NameDecorView

class DispatchCenterHostSeatView @JvmOverloads constructor(
    context: Context,
    attrs: AttributeSet? = null,
    defStyleAttr: Int = 0,
) : DispatchCenterSeatView(context, attrs, defStyleAttr) {

    override fun initViews() {
        super.initViews()
        addDecorView(AvatarDecorView(dynamicLayers))
        addDecorView(NameDecorView(dynamicLayers, isHost = true))
    }

}